/* REXX installation script for LanScan4 (LanScan for TCP/IP 4.0) */

Call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
Call SysLoadFuncs
Call SysCls

ObjectId = 'LanScan'
PgmTitle = 'LanScan4'

say "This procedure will create "ObjectId" program object on desktop. Y/N"
say "楤 ᮧ ணࠬ ꥪ "ObjectId"  ⮯. /"
pull Ans
if \ ( (Ans="Y") | (Ans="y") | (Ans="") | (Ans="") ) then exit

PgmSetup = 'OBJECTID=<'ObjectId'>;'||'EXENAME='||Directory()||,
           '\'PgmTitle'.exe;'||'STARTUPDIR='||Directory()';'||'PROGTYPE=PM'

if SysCreateObject("WPProgram", PgmTitle, "<WP_DESKTOP>", PgmSetup, 'Update') then do
    say "Successful creation of program object "ObjectId
    say "ᯥ譮 ᮧ ꥪ "ObjectId
  end
else do
    say 'Object creation for 'ObjectId' failed'
    say '訡  ᮧ ꥪ 'ObjectId
  end